Package org.pentaho.reporting.libraries.formula.operators

## Interface PrefixOperator

- All Superinterfaces:
    `java.io.Serializable`
  All Known Implementing Classes:
    `MinusSignOperator`, `PlusSignOperator`

      public interface PrefixOperator
      extends java.io.Serializable

  Creation-Date: 02.11.2006, 10:17:03
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeValuePair` | `evaluate​(FormulaContext context, TypeValuePair value1)` |

- - ### Method Detail

    - #### evaluate

          TypeValuePair evaluate​(FormulaContext context,
                                 TypeValuePair value1)
                          throws EvaluationException

      Throws:
        `EvaluationException`